<?php
namespace Teknisa\MYM\Controllers;

use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DTO\Response\Error;

class Mym00107FaleConoscoController {
    protected $crudService;
    protected $smtpService;
    
	public function __construct($smtpService, $crudService){
	    $this->SMTPService = $smtpService;
	    $this->crudService = $crudService;
	}
    public function checkEmailRemetente(DTO\Request $request, DTO\Response $response){   
        try{
              $row = (array) $request->getRow();
                $conditions = array(
                    array(
                        "columnName" => "CDFILIAL",
                        "operator" => "=",
                        "value" => $row['CDFILIAL']
                    ),
                    array(
                        "columnName" => "NRORG",
                        "operator" => "=",
                        "value" => $this->crudService->getEnvironment()->getNrOrg()
                    )
                );
            $rows = $this->crudService->getFilteredDataSet('check_email_filial', $conditions)->getRows();
            $email = count($rows) > 0 ? $rows[0]['DSEMAILFILI'] : null;
            $response->addDataSet(new DataSet("emailOperador", array($email)));
        }  catch (\Exception $e) {
            $response->setError(new Error($e->getMessage(), 500));
        }
    }
    public function sendEmail(DTO\Request $request, DTO\Response $response){
        try{
            $row = (array) $request->getRow();
            $message = $row['MESSAGE'];
            $addres = $row['EMAILCLIENTE'];
            $this->SMTPService->setSubject('Resposta Fale Conosco MyMenu');
            $this->SMTPService->setFromName('SAC MyMenu');
            $this->SMTPService->sendMail($message,$addres);
        }catch(\Exception $e){
            $response->setError(new Error ($e->getMessage(),500));
        }
    }
}
